Rating Scales
curl --request GET \
--url https://gateway.creditbenchmark.com/analytics/v2/metadata/rating-scales \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.creditbenchmark.com/analytics/v2/metadata/rating-scales"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.creditbenchmark.com/analytics/v2/metadata/rating-scales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"default_scale": "CB21",
"supported_scales": [
"CB21",
"CB7",
"CLIENT"
],
"scales": {
"CB21": {
"ratings": [
{
"CB_CCR_21_Notch": 1,
"CB_CCR": "aaa",
"CB_PD_Lower_Bound": 0,
"CB_PD_Mid_Point": 0.000079057,
"CB_PD_Upper_Bound": 0.000125,
"CB_IG_HY": "IG"
},
{
"CB_CCR_21_Notch": 2,
"CB_CCR": "aa+",
"CB_PD_Lower_Bound": 0.000125001,
"CB_PD_Mid_Point": 0.000167705,
"CB_PD_Upper_Bound": 0.000225,
"CB_IG_HY": "IG"
}
]
},
"CB7": {
"ratings": [
{
"CB_Rating_Group_Notch": 1,
"CB_Rating_Group": "aaa"
},
{
"CB_Rating_Group_Notch": 2,
"CB_Rating_Group": "aa"
}
]
},
"CLIENT": {
"description": "Client-specific scales are selected per entitled client request."
}
}
}{
"detail": "Unauthorized request"
}{
"error": "Client-backed analytics inputs require contributor entitlement."
}{
"error": "Rate limit exceeded",
"detail": "60 per 1 minute"
}{
"error": "An error occurred while processing your request. Please try again later."
}Returns CB rating scale metadata, including CB21 and CB7 ordering and band mappings.
GET
/
analytics
/
v2
/
metadata
/
rating-scales
Rating Scales
Authorizations
JWT bearer token.
Response
Successful Response
CB rating scale metadata.
Last modified on July 10, 2026
Was this page helpful?
⌘I

